try:
    import psycopg2
except ImportError:
    # Fall back to psycopg2cffi
    from psycopg2cffi import compat

    compat.register()

from cookie_api import application_factory

app = application_factory()

if __name__ == '__main__':
    app = application_factory()
    app.serve('127.0.0.1', 8080, debug=True)
